package org.project.entity.players;

import org.project.entity.Entity;
import org.project.item.weapons.DualDagger;
import org.project.item.weapons.Weapon;


public class Assassin extends Player {

    protected String name;
    Weapon weapon;
    private static final int maxHP = 110;
    private static final int maxMP = 110;

    public Assassin(String name){
        Weapon AssassinWeapon = new DualDagger();
        super(name, maxHP, maxMP, AssassinWeapon);
    }

    @Override
    public void lightAttack(Entity target) {
        target.takeDamage(18);
    }


    @Override
    public void specialAbility(Entity target) {
        target.takeDamage(52); // critical attack
        this.mp -= 30;
        dodge(true);
    }
}
